미디어위키:Gadget-ReferenceTooltips.css: 두 판 사이의 차이

잔글편집 요약 없음
잔글편집 요약 없음
1번째 줄: 1번째 줄:
/* Drawer css start */
/* Drawer css start */
.mode-drawer #reference-drawer {
.mode-drawer #reference-drawer {
position: fixed;
    position: fixed;
bottom: 0;
    bottom: 0;
left: 0;
    left: 0;
right: 0;
    right: 0;
-webkit-transition: -webkit-transform .25s, opacity .25s, visibility 0s .25s;
    -webkit-transition: -webkit-transform .25s, opacity .25s, visibility 0s .25s;
-ms-transition: -ms-transform .25s, opacity .25s, visibility 0s .25s;
    -ms-transition: -ms-transform .25s, opacity .25s, visibility 0s .25s;
transition: transform .25s, opacity .25s, visibility 0s .25s;
    transition: transform .25s, opacity .25s, visibility 0s .25s;
-webkit-transform: translate(0,100px);
    -webkit-transform: translate(0,100px);
-ms-transform: translate(0,100px);
    -ms-transform: translate(0,100px);
transform: translate(0,100px);
    transform: translate(0,100px);
border: 1px solid #e1e8ed;
    border: 1px solid #e1e8ed;
z-index: 10000;
    z-index: 10000;
opacity: 0;
    opacity: 0;
visibility: hidden;
    visibility: hidden;
box-shadow: 0 -2px 5px rgba(0, 0, 0, .4);
    box-shadow: 0 -2px 5px rgba(0, 0, 0, .4);
}
}


.mode-drawer #reference-drawer.visible {
.mode-drawer #reference-drawer.visible {
-webkit-transition: -webkit-transform .25s, opacity .25s;
    -webkit-transition: -webkit-transform .25s, opacity .25s;
-ms-transition: -ms-transform .25s, opacity .25s;
    -ms-transition: -ms-transform .25s, opacity .25s;
transition: transform .25s, opacity .25s;
    transition: transform .25s, opacity .25s;
-webkit-transform: translate(0,0);
    -webkit-transform: translate(0,0);
-ms-transform: translate(0,0);
    -ms-transform: translate(0,0);
transform: translate(0,0);
    transform: translate(0,0);
opacity: 1;
    opacity: 1;
visibility: visible;
    visibility: visible;
}
}


.mode-drawer #reference-drawer .settings-icon {
.mode-drawer #reference-drawer .settings-icon {
display: none;
    display: none;
}
}
/* Drawer css end */
/* Drawer css end */
36번째 줄: 37번째 줄:
/* Tooltip css */
/* Tooltip css */
.mode-tooltip #reference-drawer {
.mode-tooltip #reference-drawer {
position: absolute;
    position: absolute;
display: none;
    display: none;
opacity: 0;
    opacity: 0;
font-size : 0.9em;
    font-size : 0.9em;
max-width: 300px;
    max-width: 300px;
border-radius: 4px;
    border-radius: 4px;
box-shadow: 0 0 12px rgba(0,0,0,.375);
    box-shadow: 0 0 12px rgba(0,0,0,.375);
z-index: 10000;
    z-index: 10000;
}
}


.mode-tooltip #reference-drawer .close-icon {
.mode-tooltip #reference-drawer .close-icon {
display: none;
    display: none;
}
}


/* common css */
/* common css */
#reference-drawer {
#reference-drawer {
padding: 10px 15px;
    padding: 10px 15px;
background: light-dark(#fcf8f5, #2d2f34);
    background: #fcfcfc;
}
}


#reference-origin {
#reference-origin {
padding-right: 8px;
    padding-right: 8px;
}
}


#reference-settings {
#reference-settings {
position: fixed;
    position: fixed;
top: 50%;
    top: 50%;
left: 50%;
    left: 50%;
width: 300px;
    width: 300px;
height: 200px;
    height: 200px;
margin-top: -100px;
    margin-top: -100px;
margin-left: -150px;
    margin-left: -150px;
padding: 10px;
    padding: 10px;
background: white;
    background: white;
box-shadow: 0 0 6px gray;
    box-shadow: 0 0 6px gray;
z-index: 1003;
    z-index: 1003;
}
}


#reference-settings .content {
#reference-settings .content {
height: 150px;
    height: 150px;
}
}


#reference-settings .content label > input {
#reference-settings .content label > input {
margin-right: 4px;
    margin-right: 4px;
}
}


#reference-settings .foot {
#reference-settings .foot {
text-align: right;
    text-align: right;
}
}


#reference-settings .foot input {
#reference-settings .foot input {
margin-left: 4px;
    margin-left: 4px;
}
}


#reference-drawer .settings-icon {
#reference-drawer .settings-icon {
margin: -5px -8px 0 5px;
    margin: -5px -8px 0 5px;
float: right;
    float: right;
width: 14px;
    width: 14px;
height: 14px;
    height: 14px;
background: url(//upload.wikimedia.org/wikipedia/commons/thumb/1/13/Cog%2C_Web_Fundamentals.svg/14px-Cog%2C_Web_Fundamentals.svg.png);
    background: url(//upload.wikimedia.org/wikipedia/commons/thumb/1/13/Cog%2C_Web_Fundamentals.svg/14px-Cog%2C_Web_Fundamentals.svg.png);
pointer: cursor;
    pointer: cursor;
}
}


#reference-drawer .close-icon {
#reference-drawer .close-icon {
float: right;
    float: right;
width: 16px;
    width: 16px;
height: 16px;
    height: 16px;
background: url(//upload.wikimedia.org/wikipedia/commons/thumb/8/8d/VisualEditor_-_Icon_-_Close.svg/24px-VisualEditor_-_Icon_-_Close.svg.png);
    background: url(//upload.wikimedia.org/wikipedia/commons/thumb/8/8d/VisualEditor_-_Icon_-_Close.svg/24px-VisualEditor_-_Icon_-_Close.svg.png);
background-position: -4px -4px;
    background-position: -4px -4px;
}
}

2025년 1월 24일 (금) 10:21 판

/* Drawer css start */
.mode-drawer #reference-drawer {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    -webkit-transition: -webkit-transform .25s, opacity .25s, visibility 0s .25s;
    -ms-transition: -ms-transform .25s, opacity .25s, visibility 0s .25s;
    transition: transform .25s, opacity .25s, visibility 0s .25s;
    -webkit-transform: translate(0,100px);
    -ms-transform: translate(0,100px);
    transform: translate(0,100px);
    border: 1px solid #e1e8ed;
    z-index: 10000;
    opacity: 0;
    visibility: hidden;
    box-shadow: 0 -2px 5px rgba(0, 0, 0, .4);
}

.mode-drawer #reference-drawer.visible {
    -webkit-transition: -webkit-transform .25s, opacity .25s;
    -ms-transition: -ms-transform .25s, opacity .25s;
    transition: transform .25s, opacity .25s;
    -webkit-transform: translate(0,0);
    -ms-transform: translate(0,0);
    transform: translate(0,0);
    opacity: 1;
    visibility: visible;
}


.mode-drawer #reference-drawer .settings-icon {
    display: none;
}
/* Drawer css end */

/* Tooltip css */
.mode-tooltip #reference-drawer {
    position: absolute;
    display: none;
    opacity: 0;
    font-size : 0.9em;
    max-width: 300px;
    border-radius: 4px;
    box-shadow: 0 0 12px rgba(0,0,0,.375);
    z-index: 10000;
}

.mode-tooltip #reference-drawer .close-icon {
    display: none;
}

/* common css */
#reference-drawer {
    padding: 10px 15px;
    background: #fcfcfc;
}

#reference-origin {
    padding-right: 8px;
}

#reference-settings {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 300px;
    height: 200px;
    margin-top: -100px;
    margin-left: -150px;
    padding: 10px;
    background: white;
    box-shadow: 0 0 6px gray;
    z-index: 1003;
}

#reference-settings .content {
    height: 150px;
}


#reference-settings .content label > input {
    margin-right: 4px;
}

#reference-settings .foot {
    text-align: right;
}

#reference-settings .foot input {
    margin-left: 4px;
}

#reference-drawer .settings-icon {
    margin: -5px -8px 0 5px;
    float: right;
    width: 14px;
    height: 14px;
    background: url(//upload.wikimedia.org/wikipedia/commons/thumb/1/13/Cog%2C_Web_Fundamentals.svg/14px-Cog%2C_Web_Fundamentals.svg.png);
    pointer: cursor;
}

#reference-drawer .close-icon {
    float: right;
    width: 16px;
    height: 16px;
    background: url(//upload.wikimedia.org/wikipedia/commons/thumb/8/8d/VisualEditor_-_Icon_-_Close.svg/24px-VisualEditor_-_Icon_-_Close.svg.png);
    background-position: -4px -4px;
}